Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go
Interface CommonFactory

    public interface CommonFactory

Defines a common abstraction for getting the different factories for classes that all GO-1 objects have a common dependency on.

Method Summary
`CommonCapabilities` | `getCapabilities()` Returns an object that represents the capabilities of this common factory and its associated canvas.
`CitationFactory` | `getCitationFactory()` Returns the citation factory singleton.
`CoordinateOperationAuthorityFactory` | `getCoordinateOperationAuthorityFactory()` Returns the coordinate operation authority factory singleton.
`CoordinateOperationFactory` | `getCoordinateOperationFactory()` Returns the coordinate operation factory singleton.
`CRSAuthorityFactory` | `getCRSAuthorityFactory()` Returns the CRS authority factory singleton.
`CRSFactory` | `getCRSFactory()` Returns the CRS factory singleton.
`CSAuthorityFactory` | `getCSAuthorityFactory()` Returns the CS authority factory singleton.
`CSFactory` | `getCSFactory()` Returns the CS factory singleton.
`DatumAuthorityFactory` | `getDatumAuthorityFactory()` Returns the datum authority factory singleton.
`DatumFactory` | `getDatumFactory()` Returns the datum factory singleton.
`DisplayFactory` | `getDisplayFactory()` Returns the display factory singleton.
`FeatureStyleFactory` | `getFeatureStyleFactory()` Returns the feature style factory singleton.
`FilterFactory` | `getFilterFactory()` Returns the filter factory singleton.
`GeometryFactory` | `getGeometryFactory(CoordinateReferenceSystem crs)` Returns the geometry factory equiped to build geometries using the given coordinate reference system.
`NameFactory` | `getNameFactory()` Returns the name factory singleton.
`PrimitiveFactory` | `getPrimitiveFactory(CoordinateReferenceSystem crs)` Returns the primitive factory equiped to build primitives using the given coordinate reference system.

Method Detail

### getCapabilities

    CommonCapabilities getCapabilities()

  Returns an object that represents the capabilities of this common factory and its associated canvas.

  Returns:
    this `CommonFactory`'s capabilities

### getFilterFactory

    FilterFactory getFilterFactory()

  Returns the filter factory singleton.

  Returns:
    the filter factory.

### getDisplayFactory

    DisplayFactory getDisplayFactory()

  Returns the display factory singleton.

  Returns:
    the display factory.

### getNameFactory

    NameFactory getNameFactory()

  Returns the name factory singleton.

  Returns:
    the name factory.

### getCitationFactory

    CitationFactory getCitationFactory()

  Returns the citation factory singleton.

  Returns:
    the citation factory.

### getCRSAuthorityFactory

    CRSAuthorityFactory getCRSAuthorityFactory()

  Returns the CRS authority factory singleton.

  Returns:
    the CRS authority factory.

### getCRSFactory

    CRSFactory getCRSFactory()

  Returns the CRS factory singleton.

  Returns:
    the CRS factory.

### getCSAuthorityFactory

    CSAuthorityFactory getCSAuthorityFactory()

  Returns the CS authority factory singleton.

  Returns:
    the CS authority factory.

### getCSFactory

    CSFactory getCSFactory()

  Returns the CS factory singleton.

  Returns:
    the CS factory.

### getDatumAuthorityFactory

    DatumAuthorityFactory getDatumAuthorityFactory()

  Returns the datum authority factory singleton.

  Returns:
    the datum authority factory.

### getDatumFactory

    DatumFactory getDatumFactory()

  Returns the datum factory singleton.

  Returns:
    the datum factory.

### getCoordinateOperationAuthorityFactory

    CoordinateOperationAuthorityFactory getCoordinateOperationAuthorityFactory()

  Returns the coordinate operation authority factory singleton.

  Returns:
    the coordinate operation authority factory.

### getCoordinateOperationFactory

    CoordinateOperationFactory getCoordinateOperationFactory()

  Returns the coordinate operation factory singleton.

  Returns:
    the coordinate operation factory.

### getFeatureStyleFactory

    FeatureStyleFactory getFeatureStyleFactory()

  Returns the feature style factory singleton.

  Returns:
    the feature style factory.

### getGeometryFactory

    GeometryFactory getGeometryFactory(CoordinateReferenceSystem crs)

  Returns the geometry factory equiped to build geometries using the given coordinate reference system.

  Parameters:
    `crs` - the coordinate reference system the geometry factory should use.
  Returns:
    the requested geometry factory or `null` if the coordinate reference system is not supported.

### getPrimitiveFactory

    PrimitiveFactory getPrimitiveFactory(CoordinateReferenceSystem crs)

  Returns the primitive factory equiped to build primitives using the given coordinate reference system.

  Parameters:
    `crs` - the coordinate reference system the primitive factory should use.
  Returns:
    the requested primitive factory or `null` if the coordinate reference system is not supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.